#2 unexplainable condition - couldn't get kwave to work at all (compile- AND packgage install)

A. Pätzke

FIRST TRIAL: tried hard to compile kwave (0.8.8) from the scratch. Yes, of course I installed every recommended software, lib's and dev's beforehand as the README file provide.
Errorlog came out as follows:
devil007@Fox-Media:~/src/kwave-build> cmake /home/devil007/src/kwave-0.8.8
-- The C compiler identification is GNU 4.6.0
-- The CXX compiler identification is GNU 4.6.0
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Building Kwave version 0.8.8
-- Found date: /bin/date
-- Building with gcc version 4.6
-- Building for target x86_64-suse-linux
-- Found target optimized memcpy() for X86_64 (from xine)
-- LINGUAS not set, building for all supported languages
-- Enabled language support for cs (čeština)
-- Enabled language support for de (Deutsch)
-- Enabled language support for en (English)
-- Enabled language support for fr (Francais)
-- Performing Test C_HAVE_PIC
-- Performing Test C_HAVE_PIC - Success
-- Performing Test CXX_HAVE_PIC
-- Performing Test CXX_HAVE_PIC - Success
-- Performing Test CXX_NO_STRICT_ALIASING - Success
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt4: /usr/bin/qmake (found suitable version "4.7.4", required is "4.5.0")
-- Found Qt4 version 4.7.4
-- Found Qt4 libraries in /usr/lib64
-- Found Qt4 header files in /usr/include
CMake Error at /usr/share/cmake/Modules/FindKDE4.cmake:98 (MESSAGE):
ERROR: cmake/modules/FindKDE4Internal.cmake not found in
Call Stack (most recent call first):
CMakeLists.txt:186 (FIND_PACKAGE)

-- Configuring incomplete, errors occurred!

SECOND TRIAL: installed the kwave-packgage from the build-tree from opensuse 12.1 (Vers. - BUT it didn't work either, because it came out with no mp3 support (the reason why I attempted to compile from scratch beforehand).

Also kwave does recognize any ogg file by the dolphin file manager - but it can't load them - kwave reclaims "can't find file xyz.ogg".
No ogg support by a prebuilded packgage ???
And yes, I truely have the libmad0 support installed already. I can play any mp3 file with amarock or vlc. And I can rip any audio CD with K3b to mp3 or ogg files, also!
So, I don't know what to do any further to bring kwave to work.
Does anybody have a suggestion ?

OS: Linux, openSuSE 12.1
Board: Intel DH77KC
CPU: Intel i3-3220T, Ivy-Bridge
RAM: 16 Gb
Graphics: only CPU-Intel HD Graphics 2500
no Graphics-Card

1 Attachments


  • Thomas Eschenbacher

    • status: open --> pending
    • assigned_to: Thomas Eschenbacher
    • milestone: -->
  • Thomas Eschenbacher

    I wrote two emails in reply but got no response so far.
    Therefore I set the state of this issue to "pending" and will close it when I receive no further reaction within the next two weeks.

    You could try v0.8.9 ...

  • Adrián Chaves Fernández

    It’s been more than a month, so…

  • Thomas Eschenbacher

    please re-test with v0.8.10
    if it still does not work for you (which I do not expect) - please file a new bug report

  • Thomas Eschenbacher

    • status: pending --> closed

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

No, thanks